0

I have recently installed mono 3.2.8 and monodevelop 4 from the Ubuntu 14.04 software centre. However, when I try to run monodevelop from the dash menu, nothing happens - due to this, I tried to run it from the terminal and it said "The assembly mscorlib.dll was not found or could not be loaded. It should have been installed in the /usr/lib/mono/4.5/mscorlib.dll directory." How do I fix this? I have already trie a variety of things that do not work. I have already tried running the following commands:

sudo apt-get install mono-complete
sudo apt-get install mono-devel
sudo apt-get install mono-gmcs
sudo apt-get install mono-dmcs
sudo apt-get install libmono-system.data2.0-cil
sudo apt-get install libmono-system2.0-cil
sudo apt-get install libmono2.0-cil
sudo apt-get install --reinstall monodevelop
sudo apt-get install --reinstall mono-runtime

None of these worked. What shall I do?

Edit

Now, I installed libmono-corlib4.0-cil and libmono-corlib4.5-cil, and that problem has been fixed. However, a new message has now appeared:

Missing method .ctor in assembly /usr/lib/monodevelop/bin/MonoDevelop.Ide.dll, type     System.Runtime.CompilerServices.ExtensionAttribute
Can't find custom attr constructor image: /usr/lib/monodevelop/bin/MonoDevelop.Ide.dll         mtoken: 0x0a000910
* Assertion at class.c:5597, condition `!mono_loader_get_last_error ()' not met

Stacktrace:

  at <unknown> <0xffffffff>
  at MonoDevelop.Startup.MonoDevelopMain.Main (string[]) <IL 0x00001, 0x00013>
  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object     (object,intptr,intptr,intptr) <IL 0x0005c, 0xffffffff>

Native stacktrace:

monodevelop() [0x8105b4a]
[0xb76f340c]
[0xb76f3424]
/lib/i386-linux-gnu/libc.so.6(gsignal+0x47) [0xb74de937]
/lib/i386-linux-gnu/libc.so.6(abort+0x143) [0xb74e1d63]
monodevelop() [0x8288b23]
monodevelop() [0x8288bb3]
monodevelop() [0x816b4d1]
monodevelop(mono_class_get_full+0xff) [0x816bdff]
monodevelop(mono_class_from_name+0x107) [0x816c237]
monodevelop(mono_class_from_typeref+0x190) [0x816b9a0]
monodevelop(mono_class_get_full+0x164) [0x816be64]
monodevelop(mono_class_get+0x1f) [0x816bf4f]
monodevelop(mono_metadata_parse_mh_full+0x45c) [0x81b29fc]
monodevelop(mono_method_get_header+0xbf) [0x819130f]
monodevelop() [0x807ff7c]
monodevelop() [0x8066ccc]
monodevelop() [0x8068de4]
monodevelop() [0x8069aee]
monodevelop() [0x8106d17]
[0xb76dc03e]
[0xb71a02fd]
monodevelop() [0x8069bf0]

Debug info from gdb:

Could not attach to process.  If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try
again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf
ptrace: Operation not permitted.
No threads.

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
0

That file is provided by libmono-corlib4.5-cil. Install it:

sudo apt-get install libmono-corlib4.5-cil
  • Thanks Muru! However, There is a new error message which I have posted as an edit to my original question. – rushil gholkar Aug 15 '14 at 11:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.